Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class AttributeSet

    java.lang.Object
      net.sf.saxon.instruct.Procedure
          net.sf.saxon.instruct.AttributeSet

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, Container, InstructionInfoProvider

    public class AttributeSet

extends Procedure
implements InstructionInfoProvider

The compiled form of an xsl:attribute-set element in the stylesheet.

See Also:
  Serialized Form

Constructor Summary
`AttributeSet()`

Method Summary
`void` | `expand(XPathContext context)`
`InstructionInfo` | `getInstructionInfo()` Get the InstructionInfo details about the construct.
`int` | `getNameCode()`
`void` | `setNameCode(int nameCode)`
`void` | `setStackFrameMap(SlotManager stackFrameMap)`
`void` | `setUseAttributeSets(AttributeSet[] useAttributeSets)`

Methods inherited from class net.sf.saxon.instruct.Procedure
`getBody, getColumnNumber, getExecutable, getHostLanguage, getLineNumber, getLineNumber, getLocationProvider, getPublicId, getStackFrameMap, getSystemId, getSystemId, replaceSubExpression, setBody, setExecutable, setHostLanguage, setLineNumber, setSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSet

    public AttributeSet()

Method Detail

### setNameCode

    public void setNameCode(int nameCode)

### getNameCode

    public int getNameCode()

### setUseAttributeSets

    public void setUseAttributeSets(AttributeSet[] useAttributeSets)

### setStackFrameMap

    public void setStackFrameMap(SlotManager stackFrameMap)

  Overrides:
    `setStackFrameMap` in class `Procedure`

### expand

    public void expand(XPathContext context)
                throws XPathException

  Throws:
    `XPathException`

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the InstructionInfo details about the construct. This information isn't used for tracing, but it is available when inspecting the context stack.

  Specified by:
    `getInstructionInfo` in interface `InstructionInfoProvider`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.